#!/bin/bash


cp ../user_config.py sub_config1.py
cp ../config.py sub_config2.py
cp ../check.py sub_check.py
cp ../default_param.py default_param.py


touch report.txt
> report.txt

nb_config=$(python sub_config1.py 2>&1)                                                                                                                    


counter=0
while [ $counter -lt $nb_config ]
do

rm -f user_param.py

cp user_param.py.$counter user_param.py

((counter++))

nb_proc=$(python sub_config2.py 2>&1) 

mpirun -np $nb_proc ../../build_prod/bin/generic_testcase.exe

python sub_check.py

rm -f iodef.xml
mv iodef.xml.bkp iodef.xml

done
